#pragma once

//! @file Mix/Scene/ILight.h
//! @brief ライトインターフェースインクルードファイル

#include "Mix/Scene/IRendererObject.h"

namespace Mix{ namespace Scene{

	//! @class ILight
	//! @brief ライトインターフェース
	class ILight : public Mix::Scene::IRendererObject
	{
	protected:
		//! @brief デストラクタ
		virtual ~ILight( void ){}

	public:
		//! @brief 有効かどうかを確認します
		//! @return 有効な場合は True を返します
		virtual Boolean IsEnabled( void ) const = 0;
		//! @brief 有効にするかどうかを設定します
		//! @param[in] state 有効にする場合は True
		virtual void SetEnabled( Boolean state ) = 0;
	};

}}
